MWAWPropertyHandlerEncoder Class Reference

write in WPXBinaryData a list of tags/and properties More...

`#include <MWAWPropertyHandler.hxx>`

## Public Member Functions

| MWAWPropertyHandlerEncoder ()
| constructor More...
void | startElement (const char *psName, const WPXPropertyList &xPropList)
| starts an element More...
void | endElement (const char *psName)
| ends an element More...
void | characters (std::string const &sCharacters)
| writes a list of characters More...
bool | getData (WPXBinaryData &data)
| retrieves the data More...

## Protected Member Functions

void | writeString (const char *name)
| adds a string : size and string More...
void | writeInteger (int val)
| adds an integer value in f More...

## Protected Attributes

std::stringstream | m_f
| the streamfile More...

## Detailed Description

write in WPXBinaryData a list of tags/and properties

In order to be read by writerperfect, we must code document consisting in tag and propertyList in an intermediar format:

- [string:s]: an int length(s) follow by the length(s) characters of string s
- [startElement:name proplist:prop]: char 'S', [string] name, int #properties, 2#prop*string )
- [endElement:name ]: char 'E', [string] name
- [characters:s ]: char 'T', [string] s
  - if len(s)==0, we write nothing
  - the string is written as is (ie. we do not escaped any characters).

## Constructor & Destructor Documentation

MWAWPropertyHandlerEncoder::MWAWPropertyHandlerEncoder | ( |  | ) |

constructor

## Member Function Documentation

void MWAWPropertyHandlerEncoder::characters | ( | std::string const & | sCharacters | ) |

writes a list of characters

void MWAWPropertyHandlerEncoder::endElement | ( | const char * | psName | ) |

ends an element

Referenced by MWAWPictBasic::endODG(), MWAWPictLine::getODGBinary(), MWAWPictRectangle::getODGBinary(), MWAWPictCircle::getODGBinary(), MWAWPictArc::getODGBinary(), MWAWPictPath::getODGBinary(), MWAWPictPolygon::getODGBinary(), and MWAWPictBasic::startODG().

bool MWAWPropertyHandlerEncoder::getData | ( | WPXBinaryData & | data | ) |

retrieves the data

Referenced by MWAWPictLine::getODGBinary(), MWAWPictRectangle::getODGBinary(), MWAWPictCircle::getODGBinary(), MWAWPictArc::getODGBinary(), MWAWPictPath::getODGBinary(), and MWAWPictPolygon::getODGBinary().

void MWAWPropertyHandlerEncoder::startElement | ( | const char * | psName,
|  | const WPXPropertyList & | xPropList
| ) |  |

starts an element

Referenced by MWAWPictLine::getODGBinary(), MWAWPictRectangle::getODGBinary(), MWAWPictCircle::getODGBinary(), MWAWPictArc::getODGBinary(), MWAWPictPath::getODGBinary(), MWAWPictPolygon::getODGBinary(), and MWAWPictBasic::startODG().

void MWAWPropertyHandlerEncoder::writeInteger | ( | int | val | ) |

protected

adds an integer value in f

Referenced by writeString().

void MWAWPropertyHandlerEncoder::writeString | ( | const char * | name | ) |

protected

adds a string : size and string

Referenced by characters(), and endElement().

## Member Data Documentation

std::stringstream MWAWPropertyHandlerEncoder::m_f

protected

the streamfile

Referenced by characters(), endElement(), getData(), writeInteger(), and writeString().

The documentation for this class was generated from the following files:

- MWAWPropertyHandler.hxx
- MWAWPropertyHandler.cxx